Update Node Order
Given an EDL parent node, update the order of its children.
PUT
/api/{version}/composites/trees/{edl_hierarchy_or_template}/{parent_node_id}/childrenHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) or text/csv |
Accept | application/json (default) or application/xml or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
edl_hierarchy_or_template | Choose to update node order for either edl_hierarchy__v or edl_template__v. |
parent_node_id | The ID of a parent node in the hierarchy. |
Body Parameters
Section link for Body ParametersExpressed as a JSON or a CSV.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d '{"id": "0000000000000JLL","order__v": "2"}'
https://myvault.veevavault.com/api/v23.2/composites/trees/edl_hierarchy__v/0000000000000JIT/childrenResponse
Section link for Response{
"responseStatus": "SUCCESS"
}